package com.dsk.system.service;

import java.util.List;
import com.dsk.common.core.domain.entity.BusinessBacklog;

/**
 * 项目工作待办Service接口
 * 
 * @author llx
 * @date 2023-05-17
 */
public interface IBusinessBacklogService 
{
    /**
     * 查询项目工作待办
     * 
     * @param id 项目工作待办主键
     * @return 项目工作待办
     */
    public BusinessBacklog selectBusinessBacklogById(Long id);

    /**
     * 查询项目工作待办列表
     * 
     * @param businessBacklog 项目工作待办
     * @return 项目工作待办集合
     */
    public List<BusinessBacklog> selectBusinessBacklogList(BusinessBacklog businessBacklog);

    /**
     * 新增项目工作待办
     * 
     * @param businessBacklog 项目工作待办
     * @return 结果
     */
    public int insertBusinessBacklog(BusinessBacklog businessBacklog);

    /**
     * 修改项目工作待办
     * 
     * @param businessBacklog 项目工作待办
     * @return 结果
     */
    public int updateBusinessBacklog(BusinessBacklog businessBacklog);

    /**
     * 批量删除项目工作待办
     * 
     * @param ids 需要删除的项目工作待办主键集合
     * @return 结果
     */
    public int deleteBusinessBacklogByIds(Long[] ids);

    /**
     * 删除项目工作待办信息
     * 
     * @param id 项目工作待办主键
     * @return 结果
     */
    public int deleteBusinessBacklogById(Long id);
}
